### Type parameters

### Hierarchy

- StringToHtmlReplacement

## Index

### Properties

- compiled_expression
- expression
- flags
- template

## Properties

### compiled_expression

compiled_expression: RegExp

- Defined in src/options.js:213

Internal: the compiled regular expression.

### expression

expression: string

- Defined in src/options.js:211

The regexp expression that must match to do the replacement.

### flags

flags: string

- Defined in src/options.js:212

The regexp flags.

### template

template: string

- Defined in src/options.js:214

The template to use to create a new value as replacement if the regex matches.

Generated using TypeDoc